Bug 1298088 - [abrt] evolution: camel_flag_list_copy(): evolution killed by SIGABRT
[abrt] evolution: camel_flag_list_copy(): evolution killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7f05733c61e3b16d63d7d789da6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 03:41 EST by Heiko Adams
Modified: 2016-12-20 12:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:50:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (155.04 KB, text/plain)
2016-01-13 03:41 EST, Heiko Adams
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-13 03:41 EST, Heiko Adams
no flags Details
File: core_backtrace (102.72 KB, text/plain)
2016-01-13 03:41 EST, Heiko Adams
no flags Details
File: dso_list (26.52 KB, text/plain)
2016-01-13 03:41 EST, Heiko Adams
no flags Details
File: environ (1.13 KB, text/plain)
2016-01-13 03:41 EST, Heiko Adams
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-13 03:41 EST, Heiko Adams
no flags Details
File: maps (128.25 KB, text/plain)
2016-01-13 03:41 EST, Heiko Adams
no flags Details
File: mountinfo (3.46 KB, text/plain)
2016-01-13 03:41 EST, Heiko Adams
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-13 03:41 EST, Heiko Adams
no flags Details
File: open_fds (6.15 KB, text/plain)
2016-01-13 03:41 EST, Heiko Adams
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-01-13 03:41 EST, Heiko Adams
no flags Details
File: var_log_messages (298 bytes, text/plain)
2016-01-13 03:41 EST, Heiko Adams
no flags Details

  None (edit)
Description Heiko Adams 2016-01-13 03:41:21 EST
Description of problem:
Just cleaned the trash-folders before evolution crashed

Version-Release number of selected component:
evolution-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        evolution
crash_function: camel_flag_list_copy
executable:     /usr/bin/evolution
global_pid:     3471
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #7 camel_flag_list_copy at camel-folder-summary.c:4209
 #8 imapx_update_user_flags at camel-imapx-utils.c:285
 #9 imapx_update_message_info_flags at camel-imapx-utils.c:343
 #10 imapx_untagged_fetch at camel-imapx-server.c:1200
 #11 imapx_untagged at camel-imapx-server.c:1903
 #12 imapx_step at camel-imapx-server.c:2314
 #13 camel_imapx_server_process_command_sync at camel-imapx-server.c:3725
 #14 imapx_server_idle_thread at camel-imapx-server.c:5958
 #15 g_thread_proxy at gthread.c:778

Potential duplicate: bug 1181079
Comment 1 Heiko Adams 2016-01-13 03:41:29 EST
Created attachment 1114325 [details]
File: backtrace
Comment 2 Heiko Adams 2016-01-13 03:41:31 EST
Created attachment 1114326 [details]
File: cgroup
Comment 3 Heiko Adams 2016-01-13 03:41:34 EST
Created attachment 1114327 [details]
File: core_backtrace
Comment 4 Heiko Adams 2016-01-13 03:41:36 EST
Created attachment 1114328 [details]
File: dso_list
Comment 5 Heiko Adams 2016-01-13 03:41:37 EST
Created attachment 1114329 [details]
File: environ
Comment 6 Heiko Adams 2016-01-13 03:41:38 EST
Created attachment 1114330 [details]
File: limits
Comment 7 Heiko Adams 2016-01-13 03:41:42 EST
Created attachment 1114331 [details]
File: maps
Comment 8 Heiko Adams 2016-01-13 03:41:43 EST
Created attachment 1114332 [details]
File: mountinfo
Comment 9 Heiko Adams 2016-01-13 03:41:45 EST
Created attachment 1114333 [details]
File: namespaces
Comment 10 Heiko Adams 2016-01-13 03:41:46 EST
Created attachment 1114334 [details]
File: open_fds
Comment 11 Heiko Adams 2016-01-13 03:41:48 EST
Created attachment 1114335 [details]
File: proc_pid_status
Comment 12 Heiko Adams 2016-01-13 03:41:49 EST
Created attachment 1114336 [details]
File: var_log_messages
Comment 13 Milan Crha 2016-01-19 11:17:25 EST
Thanks for a bug report. I do not know whether this is the case, the crash reason is:
> double free or corruption (fasttop)
but it's possible that one thread, maybe the UI thread, was accessing members of some message info structure, while this thread was also accessing it, and due to thread interleaving the memory got corrupted (the message info structure isn't thread safe, even multiple threads can change the values of it at the same time). It doesn't happen that often, fortunately. As I said, I do not know for sure whether it's the case or not here.
Comment 14 Milan Crha 2016-01-19 11:20:21 EST
Just for a reference, the possible issue is reported upstream as:
https://bugzilla.gnome.org/show_bug.cgi?id=680471
Comment 15 Fedora End Of Life 2016-11-24 09:53:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 12:50:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.